<?php

class Migration_20250211205447_alter_vendor_table
{
    public static function up(PDO $pdo)
    {
        // Your migration code here
        $sql = "
            ALTER TABLE `vendors` ADD COLUMN `vendor_message` Boolean default 0 AFTER `key_code`;
            ALTER TABLE `vendors` ADD COLUMN `vendor_phone` VARCHAR(10) NULL AFTER `cidcode`;
        ";
        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        // Rollback code here
        $query = "
            ALTER TABLE vendors
            DROP COLUMN vendor_message;
        ";

        $pdo->exec($query);
        echo "Column removed from `vendors` table successfully.\n";
    }
}